Package org.alfresco.rest.requests
Class Tags
-
Field Summary
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidDelete taggetTag()Retrieves a tag with ID using GET call on using GET call on "/tags/{tagId}"getTags()Retrieves 100 tags (this is the default size when maxItems is not specified) from Alfresco using GET call on "/tags"Update a tag using PUT call on tags/{tagId}Methods inherited from class org.alfresco.rest.requests.ModelRequest
include, includePath, usingParams
-
Constructor Details
-
Tags
-
-
Method Details
-
getTags
Retrieves 100 tags (this is the default size when maxItems is not specified) from Alfresco using GET call on "/tags"- Returns:
- Throws:
JsonToModelConversionException
-
getTag
Retrieves a tag with ID using GET call on using GET call on "/tags/{tagId}"- Parameters:
tag-- Returns:
-
update
Update a tag using PUT call on tags/{tagId}- Parameters:
tag-newTag-- Returns:
- Throws:
JsonToModelConversionException
-
deleteTag
public void deleteTag()Delete tag. - DELETE /tags/{tagId}
-